apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfigPool
metadata:
  creationTimestamp: "2023-07-10T15:00:17Z"
  generation: 68029
  labels:
    machineconfiguration.openshift.io/role: worker-rt-nike03
    pools.operator.machineconfiguration.openshift.io/worker-rt-nike03: ""
  name: worker-rt-nike03
  resourceVersion: "7440369616"
  uid: a1d5eada-d026-4c2e-926c-72ac3bcb90a9
spec:
  configuration:
    name: rendered-worker-rt-nike03-393f35847447116389d4e457d3fb207d
    source:
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 00-override-worker-generated-crio-default-container-runtime
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 00-worker
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 01-worker
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 01-worker-container-runtime
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 01-worker-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 100-worker-multipathd
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 100-worker-set-core-password
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 50-worker-truncate-domain-search
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 50-workers-chrony-configuration
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 97-worker-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 98-worker-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-enable-psi-kargs
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-enable-iscsid
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-fstrim-timer
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-generated-crio-add-inheritable-capabilities
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-generated-registries
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-ssh
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 50-nto-worker-rt-nike03
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 50-performance-rt-nike03
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 97-worker-rt-nike03-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 98-worker-rt-nike03-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-rt-nike03-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-rt-nike03-ssh
  machineConfigSelector:
    matchExpressions:
    - key: machineconfiguration.openshift.io/role
      operator: In
      values:
      - worker
      - worker-rt-nike03
  nodeSelector:
    matchLabels:
      node-role.kubernetes.io/worker-rt-nike03: ""
  paused: false
status:
  certExpirys:
  - bundle: KubeAPIServerServingCAData
    expiry: "2032-10-03T19:40:28Z"
    subject: CN=admin-kubeconfig-signer,OU=openshift
  - bundle: KubeAPIServerServingCAData
    expiry: "2025-06-23T15:01:14Z"
    subject: CN=openshift-kube-controller-manager-operator_csr-signer-signer@1745506874
  - bundle: KubeAPIServerServingCAData
    expiry: "2025-06-25T13:35:43Z"
    subject: CN=kube-csr-signer_@1748266543
  - bundle: KubeAPIServerServingCAData
    expiry: "2025-07-23T15:01:40Z"
    subject: CN=openshift-kube-controller-manager-operator_csr-signer-signer@1748098900
  - bundle: KubeAPIServerServingCAData
    expiry: "2025-07-10T13:35:53Z"
    subject: CN=kube-csr-signer_@1749562553
  - bundle: KubeAPIServerServingCAData
    expiry: "2026-02-28T19:42:49Z"
    subject: CN=openshift-kube-apiserver-operator_kube-apiserver-to-kubelet-signer@1740771769
  - bundle: KubeAPIServerServingCAData
    expiry: "2025-06-22T19:53:02Z"
    subject: CN=openshift-kube-apiserver-operator_kube-control-plane-signer@1745437982
  - bundle: KubeAPIServerServingCAData
    expiry: "2025-07-22T19:53:29Z"
    subject: CN=openshift-kube-apiserver-operator_kube-control-plane-signer@1748030009
  - bundle: KubeAPIServerServingCAData
    expiry: "2032-10-03T19:40:31Z"
    subject: CN=kubelet-bootstrap-kubeconfig-signer,OU=openshift
  - bundle: KubeAPIServerServingCAData
    expiry: "2026-02-28T20:09:49Z"
    subject: CN=openshift-kube-apiserver-operator_node-system-admin-signer@1740773388
  conditions:
  - lastTransitionTime: "2024-12-10T09:23:37Z"
    message: ""
    reason: ""
    status: "False"
    type: NodeDegraded
  - lastTransitionTime: "2025-02-24T13:45:08Z"
    message: ""
    reason: ""
    status: "False"
    type: RenderDegraded
  - lastTransitionTime: "2025-02-24T13:45:13Z"
    message: ""
    reason: ""
    status: "False"
    type: Degraded
  - lastTransitionTime: "2025-06-17T08:01:31Z"
    message: ""
    reason: ""
    status: "False"
    type: Updated
  - lastTransitionTime: "2025-06-17T08:01:31Z"
    message: All nodes are updating to MachineConfig rendered-worker-rt-nike03-393f35847447116389d4e457d3fb207d
    reason: ""
    status: "True"
    type: Updating
  configuration:
    name: rendered-worker-rt-nike03-393f35847447116389d4e457d3fb207d
    source:
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 00-override-worker-generated-crio-default-container-runtime
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 00-worker
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 01-worker
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 01-worker-container-runtime
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 01-worker-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 100-worker-multipathd
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 100-worker-set-core-password
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 50-worker-truncate-domain-search
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 50-workers-chrony-configuration
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 97-worker-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 98-worker-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-enable-psi-kargs
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-enable-iscsid
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-fstrim-timer
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-generated-crio-add-inheritable-capabilities
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-generated-registries
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-ssh
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 50-nto-worker-rt-nike03
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 50-performance-rt-nike03
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 97-worker-rt-nike03-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 98-worker-rt-nike03-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-rt-nike03-generated-kubelet
    - apiVersion: machineconfiguration.openshift.io/v1
      kind: MachineConfig
      name: 99-worker-rt-nike03-ssh
  degradedMachineCount: 0
  machineCount: 1
  observedGeneration: 68029
  readyMachineCount: 0
  unavailableMachineCount: 1
  updatedMachineCount: 1
